List Authors

List the authors of books in the Penguin Classics collection

Returns a collection of authors in the Penguin Classics database, along with a complete list of the books for which they are the author. By default it will return the first 25 entries in the collection. You can use additional parameters offset and limit to determine which articles to show in the list, as described below:

Parameter Description
offset A zero based index of where to look in the collection
limit The maximum number of results to return. Defaults to 25, maximum is 100

Additionally, you can limit the authors being returned by supplying a search parameter. In the case of authors, the name parameter (see below) allows a search to be conducted and will return only those authors whose name is matched.

Parameter Description
name Limit authors to those with the specified name (ie ?name=charles)

Note that the search terms are automatically wild carded.

Example of listing authors

curl https://api.pearson.com/penguin/classics/v1/authors?apikey=my_api_key&limit=2

{
    "status": 200,
    "offset": 0,
    "limit": 2,
    "count": 2,
    "total": 30,
    "dataset": "black_classics_sb",
    "url": "https://api.pearson.com/penguin/classics/v1/authors?apikey=my_api_key&limit=2",
    "authors": [
        {
            "full_name": "Anne Brontë",
            "id": "32dFj5fS3ba42Y",
            "url": "https://api.pearson.com/penguin/classics/v1/authors/32dFj5fS3ba42Y?apikey=my_api_key",
            "book_count": 2,
            "books": [
                {
                    "title": "The Tenant of Wildfell Hall",
                    "isbn": "9780141974422",
                    "publisher": {
                        "name": "Penguin Books Ltd"
                    },
                    "url": "https://api.pearson.com/penguin/classics/v1/books/32PPQpVJEak5y6?apikey=my_api_key"
                },
            ...
         ]
        },
        {
            "full_name": "Anthony Trollope",
            "id": "aetTsg1SVTRW2",
            "url": "https://api.pearson.com/penguin/classics/v1/authors/aetTsg1SVTRW2?apikey=my_api_key",
            "book_count": 10,
            "books": [
                {
                    "title": "Barchester Towers",
                    "isbn": "9780141974286",
                    "publisher": {
                        "name": "Penguin Books Ltd"
                    },
                    "url": "https://api.pearson.com/penguin/classics/v1/books/17jGfTCFRKF1tr?apikey=my_api_key"
                },
                ...
            ]
        }
    ]
}